mklm.net
当前位置:首页 >> Ant 用jAvAC编译时怎样指定jDk的版本 >>

Ant 用jAvAC编译时怎样指定jDk的版本

可以使用javac命令javac命令格式及用法如下:用法:javac 其中,可能的选项包括:-source 提供与指定版本的源兼容性-target 生成特定 VM 版本的类文件 例如:C:\>javac -source 1.5 -target 1.5 p100Sum.java这样就把p100Sum.java源文件兼容的编...

在执行ant命令前使用set重新设置jdk的环境变量,不适用默认的jdk路径既可。

打开 common_build.xml 找到如下几行: (在这里加入你的Java版本)

方法1: 直接修改ANT的运行文件:ant.bat ,设置JAVA_HOME,这样所有的ANT都使用设定的JDK也是一种方法; 我以前做Jetty也是这么做的,挺方便; 方法2: 这样就可以制定特定的java编译器了

可以使用javac命令javac命令格式及用法如下: 用法:javac 其中,可能的选项包括: -source 提供与指定版本的源兼容性 -target 生成特定 VM 版本的类文件 例如:C:\>javac -source 1.5 -target 1.5 p100Sum.java这样就把p100Sum.java源文件兼容...

这是因为环境变量没有完全配置正确的原因。 1,删除原来配置的java环境变量。 2,首先设置JAVA_HOME,点击新建,变量名:JAVA_HOME,变量值例如:D:\java\jdk1.7.0,即刚才jdk安装的路径。 3,设置CLASSPATH属性,变量名:CLASSPATH,变量值:.;%JA...

做android rom开发过程中,可能会经常做不同的版本4.2,4.4,5.1或者6.0。每个版本的编译环境对jdk的版本要求都有点差异。 4.2版本需要使用jdk1.5或者1.6,使用1.7的jdk编译时会报类型错误等问题 5.1以上的版本需使用openJDK 1.7及以上,否则会直...

哥们,你是住我楼下的那家吧? 那天我好像听见你给人打电话问这个问题! 这个问题我也遇到过,你直接把jdk1.6中的alt-rt.jar这个jar包拷贝到jdk1.5的目录底下,把原来那个覆盖了就行;或者重新安装1.5的jdk就行。因为1.5中的那个TreeMap类是用jd...

classpath里jdk前面哪一个“|”是怎么回事。。classpath应该是.;%JAVA_HOME%\lib\dt.jar;%JAVA_HOME%\lib\tools.jar

步骤写给你: 1.下载JDK 2.配置环境变量: windows xp下配置JDK环境变量: 1.安装JDK,安装过程中可以自定义安装目录等信息,例如我们选择安装目录为D:\java\jdk1.5.0_08; 2.安装完成后,右击“我的电脑”,点击“属性”; 3.选择“高级”选项卡,点击“...

网站首页 | 网站地图
All rights reserved Powered by www.mklm.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com